# This file is brought to you by puppet

# basic <%= lsbdistcodename %>, <%= lsbdistrelease %>
deb http://http.us.debian.org/debian <%= lsbdistcodename %> main contrib non-free
# security suppport
<% if (lsbdistcodename == "sid" || lsbdistcodename == "unstable" ) -%>
# There is no security mirror for <%= lsbdistcodename %>
# deb http://security.debian.org/debian-security <%= lsbdistcodename %>/updates main contrib non-free
<% else -%>
deb http://security.debian.org/debian-security <%= lsbdistcodename %>/updates main contrib non-free
<% end -%>

# backports
<% if (lsbdistcodename == "sid" || lsbdistcodename == "unstable" || lsbdistrelease == "testing") -%>
# There are no backports for for <%= lsbdistcodename %>
<% else -%>
deb http://www.backports.org/debian <%= lsbdistcodename %>-backports main contrib non-free
<% end -%>

# proposed updates
<% if (lsbdistcodename == "sid" || lsbdistcodename == "unstable" || lsbdistrelease == "testing") -%>
# There are no proposed updates for for <%= lsbdistcodename %>
<% else -%>
deb http://http.us.debian.org/debian <%= lsbdistcodename %>-proposed-updates main contrib non-free
<% end -%>

# volatile
<% if (lsbdistcodename == "sid" || lsbdistcodename == "unstable" || lsbdistrelease == "testing") -%>
# There are no volatile packages for for <%= lsbdistcodename %>
<% else -%>
deb http://volatile.debian.org/debian-volatile <%= lsbdistcodename %>/volatile main contrib non-free
<% end -%>

#multimedia
<% if multimedia_repos  == "yes" -%>
deb http://www.debian-multimedia.org <%= lsbdistcodename %> main non-free
<% else -%>
#multimedia not requested.
<% end -%>
